/* @(#)scsicmds.h	1.3 98/11/03 Copyright 1996 J. Schilling */
/*
 *	Copyright (c) 1996 J. Schilling
 */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * scsicmds.c:
 */
extern	BOOL	unit_ready		__PR((SCSI *scgp));
extern	int	test_unit_ready		__PR((SCSI *scgp));
extern	int	rezero_unit		__PR((SCSI *scgp));
extern	int	mode_select		__PR((SCSI *scgp, u_char *dp, int cnt, int smp, int pf));
extern	int	mode_sense		__PR((SCSI *scgp, u_char *dp, int cnt, int page, int pcf));
extern	int	format_unit		__PR((SCSI *scgp, struct scsi_format_data *fmt, int ndefects, int list_format, int dmdl, int dgdl, int interlv, int pattern, int timeout));
extern	int	inquiry			__PR((SCSI *scgp, caddr_t bp, int cnt));
extern	int	read_capacity		__PR((SCSI *scgp));
extern	int	reassign_block		__PR((SCSI *scgp, struct scsi_def_list *bad, int nbad));
extern	int	read_scsi		__PR((SCSI *scgp, caddr_t bp, long addr, int cnt));
extern	int	read_g0			__PR((SCSI *scgp, caddr_t bp, long addr, int cnt));
extern	int	read_g1			__PR((SCSI *scgp, caddr_t bp, long addr, int cnt));
extern	int	write_scsi		__PR((SCSI *scgp, caddr_t bp, long addr, int cnt));
extern	int	write_g0		__PR((SCSI *scgp, caddr_t bp, long addr, int cnt));
extern	int	write_g1		__PR((SCSI *scgp, caddr_t bp, long addr, int cnt));
extern	int	seek_scsi		__PR((SCSI *scgp, long addr));
extern	int	seek_g0			__PR((SCSI *scgp, long addr));
extern	int	seek_g1			__PR((SCSI *scgp, long addr));
extern	int	translate		__PR((SCSI *scgp, struct scsi_def_bfi *dp, long lba));
extern	int	qic02			__PR((SCSI *scgp, int cmd));
extern	int	start_stop_unit		__PR((SCSI *scgp, int flg));
extern	int	receive_diagnostic	__PR((SCSI *scgp, caddr_t bp, int len));
extern	int	send_diagnostic		__PR((SCSI *scgp, caddr_t bp, int len));
extern	int	write_verify		__PR((SCSI *scgp, caddr_t bp, long start, int count, long *bad_block));
extern	int	verify			__PR((SCSI *scgp, long start, int count, long *bad_block));
extern	int	write_verify_split	__PR((SCSI *scgp, caddr_t bp, long start, int count, long *bad_block));
extern	int	read_defect_list	__PR((SCSI *scgp, int list_type, int list_format, BOOL print));
extern	void	xclear_phys_null	__PR((SCSI *scgp));
extern	void	clear_phys_null		__PR((SCSI *scgp));
extern	void	read_phys_null		__PR((SCSI *scgp, int ccs));
extern	void	md21_read_phys_null	__PR((SCSI *scgp));
extern	void	ccs_read_phys_null	__PR((SCSI *scgp));
extern	void	damage_phys_blk		__PR((SCSI *scgp));

